# SPDX-License-Identifier: Unlicense
{
  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixpkgs-unstable";
    flake-parts.url = "github:hercules-ci/flake-parts";
    systems.url = "github:nix-systems/default";
    devshell.url = "github:numtide/devshell";
  };

  outputs =
    inputs@{
      flake-parts,
      devshell,
      ...
    }:
    flake-parts.lib.mkFlake { inherit inputs; } {
      systems = import inputs.systems;

      imports = [
        devshell.flakeModule
      ];

      perSystem =
        {
          system,
          pkgs,
          inputs',
          ...
        }:
        {
          _module.args.pkgs = inputs.nixpkgs.legacyPackages.${system};

          devshells.default = {
            packages = with pkgs; [
              http-server
              prettier
              vscode-langservers-extracted
            ];
          };
        };
    };
}
